indexing
	description: 
		"Spezielles Element im Entwurfsmuster Kompositum"
		"Die Klasse ist von der Klasse Graphik abgeleitet"

class Ellipse

inherit 
	Graphik
		rename
			ZeichneDich as SuperZeichneDich
		end

	Graphik
		redefine
			ZeichneDich 
		select 
			ZeichneDich		
		end

creation
	make

feature
	make is
		do
			Name:= "Ellipse"
			Initialisiere
		end

	-- Geerbte und erweiterte Methode der Klasse Graphik

	ZeichneDich(Hervorgehoben, Markiert: BOOLEAN; dc: WEL_CLIENT_DC) is
		local
			X1,Y1,X2,Y2: INTEGER
			pen: WEL_PEN
			color: WEL_COLOR_REF
		do
			X1 := Xlo.rounded
			X2 := Xru.rounded
			Y1 := Ylo.rounded
			Y2 := Yru.rounded
			if Hervorgehoben then
				!! pen.make_solid (2,red)	
			else
				!! pen.make_solid (1,black)
			end
			dc.select_pen(pen)
			dc.ellipse (X1,Y1,X2,Y2)
			pen.delete
			SuperZeichneDich(Hervorgehoben,Markiert,dc)
		end
end